POST /contacts/v1/contacts/actions/delete/configSettings

Overview 

Sets the configuration settings for the Contact Delete framework and components.

JSON Parameters 

NameTypeDescription
itemsarrayRequiredKey value pairs of configuration settings you are modifying.
items.SettingKeystringRequiredConfiguration setting key to modify. This key supports only the SuppressionRestoreUntilDays value.
items.ValuestringRequiredValue of the setting to modify. A value of -1 = 0 days. A value of 1 = 1 day.

Usage 

Example Request 

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2POST /contacts/v1/contacts/actions/delete/configSettings
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN
5
6{
7    "items" : [{
8            "settingKey" : "SuppressionRestoreUntilDays",
9            "value" : "-1"
10        }
11    ]
12}

Example Response 

1HTTP/1.1 200 Ok
2{
3"rowsEffected": 1,
4"requestServiceMessageID": "c23e6308-1115-4655-aa83-da59712e40eb",
5"responseDateTime": "2018-03-15T12:08:36.9709486-04:00",
6"resultMessages": [],
7"serviceMessageID": "57813e4a-3fa7-4058-9118-4c85752bbaf1"
8}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!